#### FDECODE

#### Synopsis

    HELP:   Additional enforced decoding [NONE]
    TYPE:   OVERLAY
    SYNTAX: FDECODE/COD.{BASE64/ARMOR/PGP/BASE32/BASE16}

#### Description

The overlay 'fdecode' allows you to enforce an additional decoding of the data after the auto decoding ('decode' parameter defined) was done. This is useful if the resulting data is still encoded. This may happen if a record was decoded from a FLAMFILE (read.record()) and the record is, for example, base encoded.

The forced decoding works on records and gives you the possibility to read files, which (for example) were encoded with:

'write.record(encode.base64())'

The enforcement of base decoding can even be used if no auto decoding is activated.

See below for the decoding possibilities.

#### Arguments

- `SWITCH: BASE64/ARMOR/PGP - Base64 decoding (RFC4648)`
- `SWITCH: BASE32 - Base32 decoding (RFC4648)`
- `SWITCH: BASE16 - Base16 decoding (RFC4648)`